Warzone 2100

De Cartola

Da última vez que precisei compilar o Warzone 2100 (http://wz2100.net) no ubuntu foi bem chato ter que ficar descobrindo cada dependência a cada vez que tentava compilar. Pra poupar isso numa próxima vez e talvez ajudar outros segue aqui o que precisei instalar num Ubuntu 13.10 depois de já ter instalado o g++

 sudo apt-get install -y libsdl2-dev libsdl1.2-dev libtheora-dev openal libopenal-dev libvorbis-dev libglew-dev libphysfs-dev libfribidi-dev libfreetype6-dev libfontconfig-dev

A lista pode não estar completa pois pode ter sido instalada alguma outra dependência antes quando instalei algum outro pacote, mas acho que isso já vai poupar um bocado de trabalho. Se souber de alguma diferença ou tiver algum comentário me mande um email: .

Ubuntu 12.04.5

Recompilei nessa versão em 27/09/2014 e tive que reinstalar um grupo um pouco diferente de pacotes:

 sudo apt-get install -y libphysfs1 libsdl2-dev libtheora-dev libopenal-dev libvorbis-dev libglew-dev libphysfs-dev libfribidi-dev libfreetype6-dev libfontconfig-dev libsdl1.2-dev libtheora-dev libopenal-dev libvorbis-dev libglew-dev libphysfs-dev libfribidi-dev libfreetype6-dev libfontconfig-dev libqt4-dev libxrandr-dev
Ferramentas pessoais
Anúncio